<?

//-------------------------------fim da autenticação---------------------//

    include("authentication.php");

	include("conexao.php");

    require("funcoes.php");

	

	$login =  $_SESSION["login"];  

//-------------------------------fim da autenticação---------------------//



// -------------------- Inclusão/Alteração/exclusão ------------------------------
//print_r($_POST);
//exit();


if ($_POST['campo_funcao'] == "inc"){

  $result = mysqli_query($conexao,"insert into produtos SET 
  produto='".valida_caracteres($_POST['produto'])."',
  descricao='".valida_caracteres($_POST['descricao'])."',
  altura='".valida_caracteres($_POST['altura'])."',
  largura='".valida_caracteres($_POST['largura'])."',
  peso='".valida_caracteres($_POST['peso'])."',
  valor='".valida_caracteres($_POST['valor'])."',
  situacao='i'
  ") or die (mysqli_error($conexao));
  $registro = mysqli_insert_id($conexao);	

              savelog($conexao,$login, "Inseriu novo produto: $registro.");

}

else



 if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "")){
  $result = mysqli_query($conexao,"UPDATE produtos SET 
  produto='".valida_caracteres($_POST['produto'])."',
  descricao='".valida_caracteres($_POST['descricao'])."',
  altura='".valida_caracteres($_POST['altura'])."',
  largura='".valida_caracteres($_POST['largura'])."',
  peso='".valida_caracteres($_POST['peso'])."',
  valor='".valida_caracteres($_POST['valor'])."',
  situacao='".valida_caracteres($_POST['situacao'])."'
  where id='".valida_caracteres($_POST["id_tcomp"])."'") or die(mysqli_error($conexao));

              savelog($conexao,$login, "Alterou dados do produto.");

}



$alerta = "Alteração efetuada com sucesso!";

?>

<html>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title><? echo $empresa; ?></title>

<meta name="Description" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<meta name="Keywords" content="">

<script language="JavaScript">

<!--

function Redireciona(){

  alert("<? echo $alerta ?>");
<? if (isset($_POST['campo_funcao'])){
	
       if ($_POST['campo_funcao'] == "inc"){
	     $time = time();   // P/ forçar a atualização da página... (não abrir do cache)
	     echo "open('cad_produto_alt.php?id_tcomp=$registro', '_top');";
	   } else if ($_POST['campo_funcao'] == "alt")

	   	   if($_POST['funcao_exc'] == ""){
	       echo "open('cad_produto_alt.php?id_tcomp=$_POST[id_tcomp]', '_top');"; 
           }else{
	       echo "open('lista_produtos.php', '_top');";
           } 	 
       }
?>


}

-->

</script>

</head>

<body onLoad="JavaScript:Redireciona()">  

	  



</body>

</html>